org.apache.solr.core

## Class ConfigSetProperties

- java.lang.Object
- - org.apache.solr.core.ConfigSetProperties

-     public class ConfigSetProperties
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FILENAME`
    `static String` | `IMMUTABLE_CONFIGSET_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigSetProperties()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NamedList` | `readFromInputStream(InputStreamReader reader)`
    `static NamedList` | `readFromResourceLoader(SolrResourceLoader loader, String name)` Return the properties associated with the ConfigSet (e.g.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FILENAME

          public static final String DEFAULT_FILENAME

      See Also:
        Constant Field Values

    - #### IMMUTABLE_CONFIGSET_ARG

          public static final String IMMUTABLE_CONFIGSET_ARG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigSetProperties

          public ConfigSetProperties()

  - ### Method Detail

    - #### readFromResourceLoader

          public static NamedList readFromResourceLoader(SolrResourceLoader loader,
                                                         String name)

      Return the properties associated with the ConfigSet (e.g. immutable)
      Parameters:
        `loader` - the resource loader
        `name` - the name of the config set properties file
      Returns:
        the properties in a NamedList

    - #### readFromInputStream

          public static NamedList readFromInputStream(InputStreamReader reader)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.